summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Binh Nguyen2010-12-21 14:31:22 +0100
committer Niels Horn2010-12-21 14:31:22 +0100
commita0ccb7182ffe6a02d3f74179f7e70398023cd05f (patch)
treee6229c7977ef7bc8c4970ac467f05319b92e67c3
parent505d9ab1de6a3f93a8d49b8d5e3ab8318ce2b13e (diff)
downloadslackbuilds-a0ccb7182ffe6a02d3f74179f7e70398023cd05f.tar.gz
network/imageshack-uploader: Added (upload images to imageshack.us)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--network/imageshack-uploader/README5
-rw-r--r--network/imageshack-uploader/doinst.sh4
-rw-r--r--network/imageshack-uploader/imageshack-uploader.SlackBuild73
-rw-r--r--network/imageshack-uploader/imageshack-uploader.info10
-rw-r--r--network/imageshack-uploader/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/network/imageshack-uploader/README b/network/imageshack-uploader/README
new file mode 100644
index 0000000000..15fab6bdba
--- /dev/null
+++ b/network/imageshack-uploader/README
@@ -0,0 +1,5 @@
+A simple application for uploading one or more images to Imageshack.
+You may upload to your account or anonymously. Features included tags,
+previews, image resizing, drag and drop, link creation and more.
+
+This requires ffmpeg, lame, x264 and xvidcore.
diff --git a/network/imageshack-uploader/doinst.sh b/network/imageshack-uploader/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/network/imageshack-uploader/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/imageshack-uploader/imageshack-uploader.SlackBuild b/network/imageshack-uploader/imageshack-uploader.SlackBuild
new file mode 100644
index 0000000000..d5b47b342a
--- /dev/null
+++ b/network/imageshack-uploader/imageshack-uploader.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for imageshack-uploader
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=imageshack-uploader
+VERSION=${VERSION:-2.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i486
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+ar x $CWD/$PRGNAM-$VERSION.deb
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+tar xvf data.tar.gz -C $PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# This binary was built against an old version of ffmpeg
+# So we do this to make sure it works with newer ones
+mkdir -p $PKG/usr/lib
+cd $PKG/usr/lib
+ ln -sf libavutil.so libavutil.so.49
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/imageshack-uploader/imageshack-uploader.info b/network/imageshack-uploader/imageshack-uploader.info
new file mode 100644
index 0000000000..cb68154d0e
--- /dev/null
+++ b/network/imageshack-uploader/imageshack-uploader.info
@@ -0,0 +1,10 @@
+PRGNAM="imageshack-uploader"
+VERSION="2.2.0"
+HOMEPAGE="http://imageshack.us/content.php?page=uploader"
+DOWNLOAD="http://imageshack-uploader.googlecode.com/files/imageshack-uploader-2.2.0.deb"
+MD5SUM="d5ca7985aaae3c51800e21b7ac2d95e3"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Niels Horn"
diff --git a/network/imageshack-uploader/slack-desc b/network/imageshack-uploader/slack-desc
new file mode 100644
index 0000000000..fdabc1546c
--- /dev/null
+++ b/network/imageshack-uploader/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+imageshack-uploader: imageshack-uploader (upload images to imageshack.us)
+imageshack-uploader:
+imageshack-uploader: A simple application for uploading one or more images to Imageshack.
+imageshack-uploader: You may upload to your account or anonymously. Features included tags,
+imageshack-uploader: previews, image resizing, drag and drop, link creation and more.
+imageshack-uploader:
+imageshack-uploader: Homepage: http://imageshack.us/content.php?page=uploader
+imageshack-uploader:
+imageshack-uploader:
+imageshack-uploader:
+imageshack-uploader: